Subject: Re: Bug in RFC3542 (Advanced API)

From: JINMEI Tatuya / 神明達哉<[email-masked]>
Date: Sun, 11 Sep 2005 15:21:12 +0900

>>>>> On Fri, 9 Sep 2005 09:43:35 -0700 (PDT), 
>>>>> Alice Hagens <[email-masked]> said:

> Thank you for bringing this error to our attention.  Please confirm that 
> it is posted accurately on http://www.rfc-editor.org/errata.html. 

I've confirmed that.  Thanks for updating the errata page.

					JINMEI, Tatuya
					Communication Platform Lab.
					Corporate R&D Center, Toshiba Corp.
					[email-masked]

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Alice Hagens <[email-masked]>
Date: Fri, 9 Sep 2005 09:43:35 -0700 (PDT)

Greetings,

Thank you.

RFC Editor/ah

>Date: Tue, 28 Jun 2005 05:00:19 +0900
>From: JINMEI Tatuya / 神明達哉 <[email-masked]>
>To: YOSHIFUJI Hideaki / 吉藤英明 <[email-masked]>
>Cc: [email-masked], [email-masked], [email-masked]
>Subject: Re: Bug in RFC3542 (Advanced API)
>User-Agent: Wanderlust/2.14.0 (Africa) Emacs/21.3 Mule/5.0 (SAKAKI)
>MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
>X-ISI-4-39-6-MailScanner: Found to be clean, Found to be clean
>X-Spam-Status: No, hits=-4.8 required=5.0 tests=AWL,BAYES_00 autolearn=ham  
version=2.64
>
>>>>>> On Mon, 27 Jun 2005 11:17:47 +0900 (JST), 
>>>>>> YOSHIFUJI Hideaki <[email-masked]> said:
>
>> In Page 47, Section 11.3 (Path MTU Discovery and UDP),
>> RFC 3542 (Advanced Sockets API for IPv6) says:
>
>> |   This cmsghdr will be passed to every socket that sets the
>> |   IPV6_RECVPATHMTU socket option, even if the socket is non-connected.
>> |   Note that this also means an application that sets the option may
>> |   receive an IPV6_MTU ancillary data item for each ICMP too big error
>>                ~~~~~~~~
>> |   the node receives, including such ICMP errors caused by other
>> |   applications on the node.  Thus, an application that wants to perform
>
>> I believe that IPV6_MTU should be IPV6_PATHMTU.
>
>You're right.  Thanks for reporting the error.
>
>RFC editor, could you add this report to the RFC errata page?
>
>Thanks,
>
>					JINMEI, Tatuya